package com.gtiit.shr.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;

@TableName("CT_SHR_EMPLOYMENTHISTORY")
public class PersonOfficeVo implements Serializable {
//    @TableId(
//            type = IdType.INPUT
//    )
//    private Long id;

    @TableField("ID")
    private String id;
    @TableField("PERSON_NUMBER")
    private String personNumber;
    @TableField("LAST_NAME")
    private String lastName;
    @TableField("MIDDLE_NAMES")
    private String middleNames;
    @TableField("FIRST_NAME")
    private String firstName;
    @TableField("LOCAL_NAME")
    private String localName;
    @TableField("DISPLAY_NAME")
    private String displayName;
    @TableField("EFFECTIVE_START_DATE")
    private String effectiveStartDate;
    @TableField("EFFECTIVE_END_DATE")
    private String effectiveEndDate;
    @TableField("DEPARTMENT_CODE")
    private String departmentCode;
    @TableField("DEPARTMENT_NAME")
    private String departmentName;
    @TableField("DEPARTMENT_SHORT_NAME")
    private String departmentShortName;
    @TableField("JOB_NAME")
    private String jobName;
    @TableField("POSITION")
    private String position;
    @TableField("POSITION_CODE")
    private String positionCode;
    @TableField("WORK_CATE")
    private String workCate;
    @TableField("FULL_PART_TIME")
    private String fullPartTime;
    @TableField("MANAGER_PERSON_NUMBER")
    private String managerPersonNumber;
    @TableField("MANAGER_NAME")
    private String managerName;
    @TableField("ADMIN_TITLE")
    private String adminTitle;
    @TableField("ACADEMIC_TITLE")
    private String academicTitle;
    @TableField("JOB2")
    private String job2;
    @TableField("JOB_LEVEL")
    private String jobLevel;
    @TableField("PRIMARY_FLAG")
    private String primaryFlag;
    @TableField("ASSIGNMENT_STATUS_TYPE")
    private String assignmentStatusType;
    @TableField("ERP_CREATION_DATE")
    private String erpCreationDate;
    @TableField("ERP_LAST_UPDATE_DATE")
    private String erpLastUpdateDate;




    public String getPersonNumber() {
        return this.personNumber;
    }

    public String getLastName() {
        return this.lastName;
    }

    public String getMiddleNames() {
        return this.middleNames;
    }

    public String getFirstName() {
        return this.firstName;
    }

    public String getLocalName() {
        return this.localName;
    }

    public String getDisplayName() {
        return this.displayName;
    }

    public String getEffectiveStartDate() {
        return this.effectiveStartDate;
    }

    public String getEffectiveEndDate() {
        return this.effectiveEndDate;
    }

    public String getDepartmentCode() {
        return this.departmentCode;
    }

    public String getDepartmentName() {
        return this.departmentName;
    }

    public String getDepartmentShortName() {
        return this.departmentShortName;
    }

    public String getJobName() {
        return this.jobName;
    }

    public String getPosition() {
        return this.position;
    }

    public String getPositionCode() {
        return this.positionCode;
    }

    public String getWorkCate() {
        return this.workCate;
    }

    public String getFullPartTime() {
        return this.fullPartTime;
    }

    public String getManagerPersonNumber() {
        return this.managerPersonNumber;
    }

    public String getManagerName() {
        return this.managerName;
    }

    public String getAdminTitle() {
        return this.adminTitle;
    }

    public String getAcademicTitle() {
        return this.academicTitle;
    }

    public String getJob2() {
        return this.job2;
    }

    public String getJobLevel() {
        return this.jobLevel;
    }

    public String getPrimaryFlag() {
        return this.primaryFlag;
    }

    public String getAssignmentStatusType() {
        return this.assignmentStatusType;
    }

    public String getErpCreationDate() {
        return this.erpCreationDate;
    }

    public String getErpLastUpdateDate() {
        return this.erpLastUpdateDate;
    }

    public String getId() {
        return this.id;
    }


    public void setPersonNumber(final String personNumber) {
        this.personNumber = personNumber;
    }

    public void setLastName(final String lastName) {
        this.lastName = lastName;
    }

    public void setMiddleNames(final String middleNames) {
        this.middleNames = middleNames;
    }

    public void setFirstName(final String firstName) {
        this.firstName = firstName;
    }

    public void setLocalName(final String localName) {
        this.localName = localName;
    }

    public void setDisplayName(final String displayName) {
        this.displayName = displayName;
    }

    public void setEffectiveStartDate(final String effectiveStartDate) {
        this.effectiveStartDate = effectiveStartDate;
    }

    public void setEffectiveEndDate(final String effectiveEndDate) {
        this.effectiveEndDate = effectiveEndDate;
    }

    public void setDepartmentCode(final String departmentCode) {
        this.departmentCode = departmentCode;
    }

    public void setDepartmentName(final String departmentName) {
        this.departmentName = departmentName;
    }

    public void setDepartmentShortName(final String departmentShortName) {
        this.departmentShortName = departmentShortName;
    }

    public void setJobName(final String jobName) {
        this.jobName = jobName;
    }

    public void setPosition(final String position) {
        this.position = position;
    }

    public void setPositionCode(final String positionCode) {
        this.positionCode = positionCode;
    }

    public void setWorkCate(final String workCate) {
        this.workCate = workCate;
    }

    public void setFullPartTime(final String fullPartTime) {
        this.fullPartTime = fullPartTime;
    }

    public void setManagerPersonNumber(final String managerPersonNumber) {
        this.managerPersonNumber = managerPersonNumber;
    }

    public void setManagerName(final String managerName) {
        this.managerName = managerName;
    }

    public void setAdminTitle(final String adminTitle) {
        this.adminTitle = adminTitle;
    }

    public void setAcademicTitle(final String academicTitle) {
        this.academicTitle = academicTitle;
    }

    public void setJob2(final String job2) {
        this.job2 = job2;
    }

    public void setJobLevel(final String jobLevel) {
        this.jobLevel = jobLevel;
    }

    public void setPrimaryFlag(final String primaryFlag) {
        this.primaryFlag = primaryFlag;
    }

    public void setAssignmentStatusType(final String assignmentStatusType) {
        this.assignmentStatusType = assignmentStatusType;
    }

    public void setErpCreationDate(final String erpCreationDate) {
        this.erpCreationDate = erpCreationDate;
    }

    public void setErpLastUpdateDate(final String erpLastUpdateDate) {
        this.erpLastUpdateDate = erpLastUpdateDate;
    }

    public void setShrId(final String shrId) {
        this.id = shrId;
    }

    public boolean equals(final Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof PersonOfficeVo)) {
            return false;
        } else {
            PersonOfficeVo other = (PersonOfficeVo)o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                label347: {
                    Object this$id = this.getId();
                    Object other$id = other.getId();
                    if (this$id == null) {
                        if (other$id == null) {
                            break label347;
                        }
                    } else if (this$id.equals(other$id)) {
                        break label347;
                    }

                    return false;
                }

                Object this$personNumber = this.getPersonNumber();
                Object other$personNumber = other.getPersonNumber();
                if (this$personNumber == null) {
                    if (other$personNumber != null) {
                        return false;
                    }
                } else if (!this$personNumber.equals(other$personNumber)) {
                    return false;
                }

                Object this$lastName = this.getLastName();
                Object other$lastName = other.getLastName();
                if (this$lastName == null) {
                    if (other$lastName != null) {
                        return false;
                    }
                } else if (!this$lastName.equals(other$lastName)) {
                    return false;
                }

                label326: {
                    Object this$middleNames = this.getMiddleNames();
                    Object other$middleNames = other.getMiddleNames();
                    if (this$middleNames == null) {
                        if (other$middleNames == null) {
                            break label326;
                        }
                    } else if (this$middleNames.equals(other$middleNames)) {
                        break label326;
                    }

                    return false;
                }

                label319: {
                    Object this$firstName = this.getFirstName();
                    Object other$firstName = other.getFirstName();
                    if (this$firstName == null) {
                        if (other$firstName == null) {
                            break label319;
                        }
                    } else if (this$firstName.equals(other$firstName)) {
                        break label319;
                    }

                    return false;
                }

                label312: {
                    Object this$localName = this.getLocalName();
                    Object other$localName = other.getLocalName();
                    if (this$localName == null) {
                        if (other$localName == null) {
                            break label312;
                        }
                    } else if (this$localName.equals(other$localName)) {
                        break label312;
                    }

                    return false;
                }

                Object this$displayName = this.getDisplayName();
                Object other$displayName = other.getDisplayName();
                if (this$displayName == null) {
                    if (other$displayName != null) {
                        return false;
                    }
                } else if (!this$displayName.equals(other$displayName)) {
                    return false;
                }

                label298: {
                    Object this$effectiveStartDate = this.getEffectiveStartDate();
                    Object other$effectiveStartDate = other.getEffectiveStartDate();
                    if (this$effectiveStartDate == null) {
                        if (other$effectiveStartDate == null) {
                            break label298;
                        }
                    } else if (this$effectiveStartDate.equals(other$effectiveStartDate)) {
                        break label298;
                    }

                    return false;
                }

                Object this$effectiveEndDate = this.getEffectiveEndDate();
                Object other$effectiveEndDate = other.getEffectiveEndDate();
                if (this$effectiveEndDate == null) {
                    if (other$effectiveEndDate != null) {
                        return false;
                    }
                } else if (!this$effectiveEndDate.equals(other$effectiveEndDate)) {
                    return false;
                }

                label284: {
                    Object this$departmentCode = this.getDepartmentCode();
                    Object other$departmentCode = other.getDepartmentCode();
                    if (this$departmentCode == null) {
                        if (other$departmentCode == null) {
                            break label284;
                        }
                    } else if (this$departmentCode.equals(other$departmentCode)) {
                        break label284;
                    }

                    return false;
                }

                Object this$departmentName = this.getDepartmentName();
                Object other$departmentName = other.getDepartmentName();
                if (this$departmentName == null) {
                    if (other$departmentName != null) {
                        return false;
                    }
                } else if (!this$departmentName.equals(other$departmentName)) {
                    return false;
                }

                Object this$departmentShortName = this.getDepartmentShortName();
                Object other$departmentShortName = other.getDepartmentShortName();
                if (this$departmentShortName == null) {
                    if (other$departmentShortName != null) {
                        return false;
                    }
                } else if (!this$departmentShortName.equals(other$departmentShortName)) {
                    return false;
                }

                label263: {
                    Object this$jobName = this.getJobName();
                    Object other$jobName = other.getJobName();
                    if (this$jobName == null) {
                        if (other$jobName == null) {
                            break label263;
                        }
                    } else if (this$jobName.equals(other$jobName)) {
                        break label263;
                    }

                    return false;
                }

                label256: {
                    Object this$position = this.getPosition();
                    Object other$position = other.getPosition();
                    if (this$position == null) {
                        if (other$position == null) {
                            break label256;
                        }
                    } else if (this$position.equals(other$position)) {
                        break label256;
                    }

                    return false;
                }

                Object this$positionCode = this.getPositionCode();
                Object other$positionCode = other.getPositionCode();
                if (this$positionCode == null) {
                    if (other$positionCode != null) {
                        return false;
                    }
                } else if (!this$positionCode.equals(other$positionCode)) {
                    return false;
                }

                Object this$workCate = this.getWorkCate();
                Object other$workCate = other.getWorkCate();
                if (this$workCate == null) {
                    if (other$workCate != null) {
                        return false;
                    }
                } else if (!this$workCate.equals(other$workCate)) {
                    return false;
                }

                label235: {
                    Object this$fullPartTime = this.getFullPartTime();
                    Object other$fullPartTime = other.getFullPartTime();
                    if (this$fullPartTime == null) {
                        if (other$fullPartTime == null) {
                            break label235;
                        }
                    } else if (this$fullPartTime.equals(other$fullPartTime)) {
                        break label235;
                    }

                    return false;
                }

                Object this$managerPersonNumber = this.getManagerPersonNumber();
                Object other$managerPersonNumber = other.getManagerPersonNumber();
                if (this$managerPersonNumber == null) {
                    if (other$managerPersonNumber != null) {
                        return false;
                    }
                } else if (!this$managerPersonNumber.equals(other$managerPersonNumber)) {
                    return false;
                }

                Object this$managerName = this.getManagerName();
                Object other$managerName = other.getManagerName();
                if (this$managerName == null) {
                    if (other$managerName != null) {
                        return false;
                    }
                } else if (!this$managerName.equals(other$managerName)) {
                    return false;
                }

                label214: {
                    Object this$adminTitle = this.getAdminTitle();
                    Object other$adminTitle = other.getAdminTitle();
                    if (this$adminTitle == null) {
                        if (other$adminTitle == null) {
                            break label214;
                        }
                    } else if (this$adminTitle.equals(other$adminTitle)) {
                        break label214;
                    }

                    return false;
                }

                label207: {
                    Object this$academicTitle = this.getAcademicTitle();
                    Object other$academicTitle = other.getAcademicTitle();
                    if (this$academicTitle == null) {
                        if (other$academicTitle == null) {
                            break label207;
                        }
                    } else if (this$academicTitle.equals(other$academicTitle)) {
                        break label207;
                    }

                    return false;
                }

                label200: {
                    Object this$job2 = this.getJob2();
                    Object other$job2 = other.getJob2();
                    if (this$job2 == null) {
                        if (other$job2 == null) {
                            break label200;
                        }
                    } else if (this$job2.equals(other$job2)) {
                        break label200;
                    }

                    return false;
                }

                Object this$jobLevel = this.getJobLevel();
                Object other$jobLevel = other.getJobLevel();
                if (this$jobLevel == null) {
                    if (other$jobLevel != null) {
                        return false;
                    }
                } else if (!this$jobLevel.equals(other$jobLevel)) {
                    return false;
                }

                label186: {
                    Object this$primaryFlag = this.getPrimaryFlag();
                    Object other$primaryFlag = other.getPrimaryFlag();
                    if (this$primaryFlag == null) {
                        if (other$primaryFlag == null) {
                            break label186;
                        }
                    } else if (this$primaryFlag.equals(other$primaryFlag)) {
                        break label186;
                    }

                    return false;
                }

                Object this$assignmentStatusType = this.getAssignmentStatusType();
                Object other$assignmentStatusType = other.getAssignmentStatusType();
                if (this$assignmentStatusType == null) {
                    if (other$assignmentStatusType != null) {
                        return false;
                    }
                } else if (!this$assignmentStatusType.equals(other$assignmentStatusType)) {
                    return false;
                }

                label172: {
                    Object this$erpCreationDate = this.getErpCreationDate();
                    Object other$erpCreationDate = other.getErpCreationDate();
                    if (this$erpCreationDate == null) {
                        if (other$erpCreationDate == null) {
                            break label172;
                        }
                    } else if (this$erpCreationDate.equals(other$erpCreationDate)) {
                        break label172;
                    }

                    return false;
                }

                Object this$erpLastUpdateDate = this.getErpLastUpdateDate();
                Object other$erpLastUpdateDate = other.getErpLastUpdateDate();
                if (this$erpLastUpdateDate == null) {
                    if (other$erpLastUpdateDate != null) {
                        return false;
                    }
                } else if (!this$erpLastUpdateDate.equals(other$erpLastUpdateDate)) {
                    return false;
                }

                Object this$shrId = this.getId();
                Object other$shrId = other.getId();
                if (this$shrId == null) {
                    if (other$shrId != null) {
                        return false;
                    }
                } else if (!this$shrId.equals(other$shrId)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(final Object other) {
        return other instanceof PersonOfficeVo;
    }

    public int hashCode() {
        boolean PRIME = true;
        int result = 1;
        Object $id = this.getId();
        result = result * 59 + ($id == null ? 43 : $id.hashCode());
        Object $personNumber = this.getPersonNumber();
        result = result * 59 + ($personNumber == null ? 43 : $personNumber.hashCode());
        Object $lastName = this.getLastName();
        result = result * 59 + ($lastName == null ? 43 : $lastName.hashCode());
        Object $middleNames = this.getMiddleNames();
        result = result * 59 + ($middleNames == null ? 43 : $middleNames.hashCode());
        Object $firstName = this.getFirstName();
        result = result * 59 + ($firstName == null ? 43 : $firstName.hashCode());
        Object $localName = this.getLocalName();
        result = result * 59 + ($localName == null ? 43 : $localName.hashCode());
        Object $displayName = this.getDisplayName();
        result = result * 59 + ($displayName == null ? 43 : $displayName.hashCode());
        Object $effectiveStartDate = this.getEffectiveStartDate();
        result = result * 59 + ($effectiveStartDate == null ? 43 : $effectiveStartDate.hashCode());
        Object $effectiveEndDate = this.getEffectiveEndDate();
        result = result * 59 + ($effectiveEndDate == null ? 43 : $effectiveEndDate.hashCode());
        Object $departmentCode = this.getDepartmentCode();
        result = result * 59 + ($departmentCode == null ? 43 : $departmentCode.hashCode());
        Object $departmentName = this.getDepartmentName();
        result = result * 59 + ($departmentName == null ? 43 : $departmentName.hashCode());
        Object $departmentShortName = this.getDepartmentShortName();
        result = result * 59 + ($departmentShortName == null ? 43 : $departmentShortName.hashCode());
        Object $jobName = this.getJobName();
        result = result * 59 + ($jobName == null ? 43 : $jobName.hashCode());
        Object $position = this.getPosition();
        result = result * 59 + ($position == null ? 43 : $position.hashCode());
        Object $positionCode = this.getPositionCode();
        result = result * 59 + ($positionCode == null ? 43 : $positionCode.hashCode());
        Object $workCate = this.getWorkCate();
        result = result * 59 + ($workCate == null ? 43 : $workCate.hashCode());
        Object $fullPartTime = this.getFullPartTime();
        result = result * 59 + ($fullPartTime == null ? 43 : $fullPartTime.hashCode());
        Object $managerPersonNumber = this.getManagerPersonNumber();
        result = result * 59 + ($managerPersonNumber == null ? 43 : $managerPersonNumber.hashCode());
        Object $managerName = this.getManagerName();
        result = result * 59 + ($managerName == null ? 43 : $managerName.hashCode());
        Object $adminTitle = this.getAdminTitle();
        result = result * 59 + ($adminTitle == null ? 43 : $adminTitle.hashCode());
        Object $academicTitle = this.getAcademicTitle();
        result = result * 59 + ($academicTitle == null ? 43 : $academicTitle.hashCode());
        Object $job2 = this.getJob2();
        result = result * 59 + ($job2 == null ? 43 : $job2.hashCode());
        Object $jobLevel = this.getJobLevel();
        result = result * 59 + ($jobLevel == null ? 43 : $jobLevel.hashCode());
        Object $primaryFlag = this.getPrimaryFlag();
        result = result * 59 + ($primaryFlag == null ? 43 : $primaryFlag.hashCode());
        Object $assignmentStatusType = this.getAssignmentStatusType();
        result = result * 59 + ($assignmentStatusType == null ? 43 : $assignmentStatusType.hashCode());
        Object $erpCreationDate = this.getErpCreationDate();
        result = result * 59 + ($erpCreationDate == null ? 43 : $erpCreationDate.hashCode());
        Object $erpLastUpdateDate = this.getErpLastUpdateDate();
        result = result * 59 + ($erpLastUpdateDate == null ? 43 : $erpLastUpdateDate.hashCode());
        Object $shrId = this.getId();
        result = result * 59 + ($shrId == null ? 43 : $shrId.hashCode());
        return result;
    }

    public String toString() {
        return "PersonOfficeVo(id=" + this.getId() + ", personNumber=" + this.getPersonNumber() + ", lastName=" + this.getLastName() + ", middleNames=" + this.getMiddleNames() + ", firstName=" + this.getFirstName() + ", localName=" + this.getLocalName() + ", displayName=" + this.getDisplayName() + ", effectiveStartDate=" + this.getEffectiveStartDate() + ", effectiveEndDate=" + this.getEffectiveEndDate() + ", departmentCode=" + this.getDepartmentCode() + ", departmentName=" + this.getDepartmentName() + ", departmentShortName=" + this.getDepartmentShortName() + ", jobName=" + this.getJobName() + ", position=" + this.getPosition() + ", positionCode=" + this.getPositionCode() + ", workCate=" + this.getWorkCate() + ", fullPartTime=" + this.getFullPartTime() + ", managerPersonNumber=" + this.getManagerPersonNumber() + ", managerName=" + this.getManagerName() + ", adminTitle=" + this.getAdminTitle() + ", academicTitle=" + this.getAcademicTitle() + ", job2=" + this.getJob2() + ", jobLevel=" + this.getJobLevel() + ", primaryFlag=" + this.getPrimaryFlag() + ", assignmentStatusType=" + this.getAssignmentStatusType() + ", erpCreationDate=" + this.getErpCreationDate() + ", erpLastUpdateDate=" + this.getErpLastUpdateDate() + ", shrId=" + this.getId() + ")";
    }
}
